Bug 20035 - Switch single-column templates to Bootstrap grid: Patron clubs
Summary: Switch single-column templates to Bootstrap grid: Patron clubs
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Whiteboard:
Keywords: Academy
Depends on:
Blocks: 19980
  Show dependency treegraph
 
Reported: 2018-01-18 17:31 UTC by Owen Leonard
Modified: 2018-06-04 20:15 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 20035: Switch single-column templates to Bootstrap grid: Patron clubs (6.44 KB, patch)
2018-01-18 17:41 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 20035: Switch single-column templates to Bootstrap grid: Patron clubs (6.50 KB, patch)
2018-01-23 15:09 UTC, Claire Gravely
Details | Diff | Splinter Review
Bug 20035: Switch single-column templates to Bootstrap grid: Patron clubs (6.56 KB, patch)
2018-02-04 16:18 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2018-01-18 17:31:30 UTC
There are two single-column Patron clubs templates which can be updated to use Bootstrap:

clubs\clubs-add-modify.tt
clubs\templates-add-modify.tt
Comment 1 Owen Leonard 2018-01-18 17:41:08 UTC
Created attachment 70702 [details] [review]
Bug 20035: Switch single-column templates to Bootstrap grid: Patron clubs

This patch updates two single-column Patron clubs templates to
use the Bootstrap grid.

- clubs/clubs-add-modify.tt - Tools -> Patron clubs -> New club.
- clubs/templates-add-modify.tt - Tools -> Patron clubs -> New club
  template. Also changed in this file: Markup corrections. Label "for"
  attribute should match the form field's id attribute.

Each of these pages should look correct, with a single centered column
with wide margins on either side. At lower browser widths the margins
should disappear.
Comment 2 Claire Gravely 2018-01-23 15:09:07 UTC
Created attachment 70848 [details] [review]
Bug 20035: Switch single-column templates to Bootstrap grid: Patron clubs

This patch updates two single-column Patron clubs templates to
use the Bootstrap grid.

- clubs/clubs-add-modify.tt - Tools -> Patron clubs -> New club.
- clubs/templates-add-modify.tt - Tools -> Patron clubs -> New club
  template. Also changed in this file: Markup corrections. Label "for"
  attribute should match the form field's id attribute.

Each of these pages should look correct, with a single centered column
with wide margins on either side. At lower browser widths the margins
should disappear.

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>
Comment 3 Katrin Fischer 2018-02-04 16:18:53 UTC
Created attachment 71205 [details] [review]
Bug 20035: Switch single-column templates to Bootstrap grid: Patron clubs

This patch updates two single-column Patron clubs templates to
use the Bootstrap grid.

- clubs/clubs-add-modify.tt - Tools -> Patron clubs -> New club.
- clubs/templates-add-modify.tt - Tools -> Patron clubs -> New club
  template. Also changed in this file: Markup corrections. Label "for"
  attribute should match the form field's id attribute.

Each of these pages should look correct, with a single centered column
with wide margins on either side. At lower browser widths the margins
should disappear.

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2018-02-15 16:40:02 UTC
Pushed to master for 18.05, thanks to everybody involved!